| AOMedia AV1 Codec

Data Fields
PartitionSearchInfo Struct Reference

Holds some parameters related to partitioning schemes in AV1. More...

`#include <block.h>`

## Data Fields
int | quad_tree_idx
| Current index on the partition block quad tree.
int | cnn_output_valid
| Whether the CNN buffer contains valid output.
float | cnn_buffer [((((20))+(((4) *2 *2))+(((20) *4 *4))+(((20) *8 *8))))]
| A buffer used by our segmentation CNN for intra-frame partitioning.
float | log_q
| log of the quantization parameter of the ancestor BLOCK_64X64.
uint8_t | variance_low [105]
| Variance of the subblocks in the superblock.

## Detailed Description

Holds some parameters related to partitioning schemes in AV1.

## Field Documentation

## ◆ quad_tree_idx

int PartitionSearchInfo::quad_tree_idx

Current index on the partition block quad tree.

Used to index into the cnn buffer for partition decision.

## ◆ variance_low

uint8_t PartitionSearchInfo::variance_low[105]

Variance of the subblocks in the superblock.

This is used by rt mode for variance based partitioning. The indices corresponds to the following block sizes:

- 0 - 128x128
- 1-2 - 128x64
- 3-4 - 64x128
- 5-8 - 64x64
- 9-16 - 64x32
- 17-24 - 32x64
- 25-40 - 32x32
- 41-104 - 16x16

The documentation for this struct was generated from the following file:

- av1/encoder/block.h